## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check

%global crate lalrpop

Name:           rust-%{crate}
Version:        0.19.7
Release:        %autorelease
Summary:        Convenient LR(1) parser generator

# Upstream license specification: Apache-2.0/MIT
# https://github.com/lalrpop/lalrpop/issues/600
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/lalrpop
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Convenient LR(1) parser generator.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# ASL 2.0 or MIT
# BSD
# CC0
# MIT
# MIT or ASL 2.0
# Unlicense or MIT
License:        MIT and BSD and CC0

%description -n %{crate} %{_description}

%files       -n %{crate}
%{_bindir}/lalrpop

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+lexer-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lexer-devel %{_description}

This package contains library source intended for building other packages which
use the "lexer" feature of the "%{crate}" crate.

%files       -n %{name}+lexer-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pico-args-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pico-args-devel %{_description}

This package contains library source intended for building other packages which
use the "pico-args" feature of the "%{crate}" crate.

%files       -n %{name}+pico-args-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+test-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test-devel %{_description}

This package contains library source intended for building other packages which
use the "test" feature of the "%{crate}" crate.

%files       -n %{name}+test-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> 0.19.7-1
- Update to version 0.19.7; Fixes RHBZ#2042951

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.19.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug 06 2021 Fabio Valentini <decathorpe@gmail.com> 0.19.6-1
- Update to version 0.19.6; Fixes RHBZ#1969436

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.19.5-1
- Initial package

